/* c-basic-offset: 2; tab-width: 2; indent-tabs-mode: nil
 * vi: set shiftwidth=2 tabstop=2 expandtab:
 * :indentSize=2:tabSize=2:noTabs=true:
 */

#include "GPumpApp.h"

#define GPUMP_GET_PRIVATE(obj) (G_TYPE_INSTANCE_GET_PRIVATE ((GPumpApp *) obj)->priv)

G_DEFINE_TYPE (GPumpApp, gpump_app, GTK_TYPE_APPLICATION)

struct GPumpAppPrivate {
  
  GSettings * ui_settings;
  GSettings * login_settings;
  
  /* Widgets */
  GtkWidget * window;
  GtkWidget * header_bar;
  GtkWidget * layout; /* GtkBox */
  GtkWidget * post_list_view; /* GtkTreeView */
  GtkListStore * post_list_store;
};

/* * Callback and private function declarations *******************************/
void gpump_app_class_init (GPumpAppClass * klass);
void gpump_app_activate (GApplication * application);
void gpump_app_init (GPumpApp * self);

/* * Class functions **********************************************************/
GPumpApp * gpump_app_new (void) {
  GPumpApp * self = g_object_new (GPUMP_TYPE_APP,
                       "application-id", "org.gego.gpump",
                       "flags",G_APPLICATION_FLAGS_NONE,
                       NULL);
  return self;
}

void gpump_app_init (GPumpApp * self) {
  
}

void gpump_app_class_init (GPumpAppClass * klass) {
  g_print("GPumpApp class init.\n");
  
  // GObject * object_class = G_OBJECT_CLASS (klass);
  GApplicationClass * application_class = G_APPLICATION_CLASS (klass);
  
  application_class->activate = gpump_app_activate;
  
  g_type_class_add_private (klass, sizeof(GPumpApp));
  
  g_print ("GPumpApp class init done.\n");
}


void gpump_app_activate (GApplication * application) {
  g_print ("GPumpApp activate.\n");
  
  
  
  g_print ("done GPumpApp activate.\n");
}



/* * Callback implemenations **************************************************/

